package com.crm.manager.dao.mapper;

import com.crm.rely.backend.core.entity.system.config.SysConfigSearchEntity;
import com.crm.rely.backend.core.entity.system.email.template.SysEmailTemplateSearchEntity;
import com.crm.rely.backend.core.pojo.table.SysConfigTable;
import com.crm.rely.backend.core.pojo.table.SysEmailTemplateTable;
import com.crm.rely.backend.core.pojo.view.SysEmailTemplateView;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface SysEmailTemplateMapper {

    Integer countList(SysEmailTemplateSearchEntity entity);

    List<SysEmailTemplateView> pageList(SysEmailTemplateSearchEntity entity);

    SysEmailTemplateView getOne(Long id);

    List<SysEmailTemplateView> list();
}
